Bug 244885 - 'virsh' man page doesn't describe 'virsh net-*' commands though the commands work (at least some do)
Summary: 'virsh' man page doesn't describe 'virsh net-*' commands though the commands ...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 17:36 UTC by Nathan Watson
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 15:46:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan Watson 2007-06-19 17:36:45 UTC
Description of problem:

I looked through the 'virsh' man page to look for listing and syntax of all
'virsh net-*' commands (network-related commands), and didn't find any content.

Version-Release number of selected component (if applicable):

  libvirt-0.2.3-1.fc7 (file /usr/share/man/man1/virsh.1.gz ?)

How reproducible:

  from prompt "root# man virsh", no "net-*" commands listed ...
  but try the command "virsh net-dumpxml default" and the
  commands works

Steps to Reproduce:
1. "man virsh"
2. look for "net-*' functions -- they're missing
3. do a "virsh net-dumpxml default", you get results from the
   phantom 'virsh' command
  
Actual results:

  * no docs for net-* commands in virsh
  * the phantom net-* commands work

Expected results:

  * should have docs for net-* commands
  * docs should accurately describe the supported net-* functions
    (and if any standard virsh-* commands are not supported,
    state such)

Additional info:

Comment 1 Daniel Veillard 2007-06-29 15:46:28 UTC
I fixed that in upstream CVS, this should come in next version of libvirt
probably called 0.3.0,

Daniel


Note You need to log in before you can comment on or make changes to this bug.